package com.loan.system.domain.enums;

/**
 * @author EdwinXu
 * @date 2020/9/2 - 15:58
 */
public enum RoleEnum {
    // 这里似乎不需要三个角色
    SYSTEM_ADMIN(1, "系统管理员"),
    APPROVER(2, "审批人员"),
    LEAD_SALES(3, "主办业务员"),
    ASSIST_SALES(4, "辅办业务员"),
    FINANCE(5, "财务人员"),
    BACK_OFFICE(6, "综合内勤"),
    EXTERNAL(7, "外部人员");

    private Integer code;
    private String msg;

    public Integer getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

    RoleEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }
}
